org.apache.storm.container.oci

## Class OciResource

- java.lang.Object
- - org.apache.storm.container.oci.OciResource

-     public class OciResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OciResource(String path, String fileName, long size, long timestamp, org.apache.storm.container.oci.OciResource.OciResourceType type)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileName()`
    `String` | `getPath()`
    `long` | `getSize()`
    `long` | `getTimestamp()`
    `org.apache.storm.container.oci.OciResource.OciResourceType` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OciResource

          public OciResource(String path,
                             String fileName,
                             long size,
                             long timestamp,
                             org.apache.storm.container.oci.OciResource.OciResourceType type)

      Constructor.

      Parameters:
        `path` - the path to the resource
        `fileName` - the filename of the resource
        `size` - the size of the resource
        `timestamp` - the modification time of the resource
        `type` - the type of the resource

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### getFileName

          public String getFileName()

    - #### getSize

          public long getSize()

    - #### getTimestamp

          public long getTimestamp()

    - #### getType

          public org.apache.storm.container.oci.OciResource.OciResourceType getType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.